// mlhpicardselector.h
//
// Audio Card Selector Widget
//
//   (C) Copyright 2002-2007 Fred Gleason <fredg@paravelsystems.com>
//
//    $Id: mlhpicardselector.h,v 1.3 2010/11/22 13:11:41 cvs Exp $
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License version 2 as
//   published by the Free Software Foundation.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public
//   License along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef MLHPICARDSELECTOR_H
#define MLHPICARDSELECTOR_H

#include <QtGui/QWidget>
#include <QtGui/QSpinBox>
#include <QtGui/QLabel>

class MLHPICardSelector : public QWidget
{
  Q_OBJECT
  public:
   MLHPICardSelector(QWidget *parent=0,const char *name=0);
   ~MLHPICardSelector();
   QSize sizeHint() const;
   QSizePolicy sizePolicy() const;
   QString title() const;
   void setTitle(QString title);
   int card() const;
   void setCard(int card);
   int port() const;
   void setPort(int port);

  signals:
   void cardChanged(int card);
   void portChanged(int port);

  private slots:
   void cardData(int);
   void portData(int);

  private:
   QLabel *card_card_label;
   QSpinBox *card_card_box;
   QLabel *card_port_label;
   QSpinBox *card_port_box;
   QLabel *card_title;
   int yoffset;
};


#endif  // MLHPICARDSELECTOR_H
